//
//  EPCommentsManager.h
//  .mac Comments Manager
//  Created by Simone Manganelli on 2006-09-03.
//
//  Copyright © 2006 Simone Manganelli.
//
//  Permission is hereby granted, free of charge, to any person
//  obtaining a copy of this software and associated documentation
//  files (the "Software"), to deal in the Software without
//  restriction, including without limitation the rights to use,
//  copy, modify, merge, publish, distribute, sublicense, and/or sell
//  copies of the Software, and to permit persons to whom the
//  Software is furnished to do so, subject to the following
//  conditions:

//  The above copyright notice and this permission notice shall be
//  included in all copies or substantial portions of the Software.

//  Except as contained in this notice, the name(s) of the above copyright
//  holders shall not be used in advertising or otherwise to promote the
//  sale, use or other dealings in this Software without prior written
//  authorization.

//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
//  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
//  HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//  WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//  OTHER DEALINGS IN THE SOFTWARE.
//

#import <Cocoa/Cocoa.h>


@interface EPCommentsManager : NSObject {
	IBOutlet NSTextField *dotMacUsernameTextField;
	IBOutlet NSSecureTextField *dotMacPasswordTextField;
	IBOutlet NSTextField *iDiskFileURLTextField;
	IBOutlet NSTextField *entryPageURLTextField;
}

- (IBAction)activateComments:(id)sender;
- (void)activateCommentsWithUsernameTextField:(NSTextField *)usernameTextField
					  passwordSecureTextField:(NSSecureTextField *)passwordSecureTextField
								   webPageURL:(NSString *)entryPageURL;

- (void)createDummyFile:(NSString *)iDiskFileURL entryPageURL:(NSString *)entryPageURL iDiskUsername:(NSString *)dotMacUsername;

- (NSString *)convertURLToiDiskFileURL:(NSString *)theURL;
- (BOOL)isHomepageURL:(NSString *)theURL;
- (IBAction)visitAddACommentURL:(id)sender;


@end
